load ../lib/common

# bats test_tags=locale-es
@test "gitget follows cli conventions and fails with 0 args" {
	assert_follows_cli_conventions gitget
	assert_fails_with_errusage gitget
}

@test "gitget forces url for bare" {
	mkdir "$tmpdir/src"
	cd "$tmpdir/src"
	git init .
	git config --local user.email 'libretools-test@localhost'
	git config --local user.name 'Test Suite'
	echo a >a
	git add .
	git commit -m 'initial commit'
	cd ..
	gitget bare src dst.git
	cd dst.git
	[[ "$(git config --get remote.origin.url)" == "$tmpdir/src" ]]
	cd ..
	gitget bare "file://$PWD/src" dst.git || status=$?
	[[ $status != 0 ]]
	gitget -f bare "file://$PWD/src" dst.git
	cd dst.git
	[[ "$(git config --get remote.origin.url)" == "file://$tmpdir/src" ]]
}

# bats test_tags=locale-es
@test "libregit follows cli conventions" {
	assert_follows_cli_conventions libregit
}
