load ../lib/common

# bats test_tags=locale-es
@test "is_built follows cli conventions" {
	assert_follows_cli_conventions is_built
}

@test "is_built fails with 0 args" {
	assert_fails_with_errusage is_built
}

@test "is_built succeeds with 1 arg" {
	is_built sh >$tmpdir/stdout 2>$tmpdir/stderr

	assert_file_empty $tmpdir/stdout
	assert_file_empty $tmpdir/stderr
}

@test "is_built returns 1 for non existent package" {
	is_built phony-ne-package 100 >$tmpdir/stdout 2>$tmpdir/stderr || status=$?

	[[ $status == 1 ]]
	assert_file_empty $tmpdir/stdout
	assert_file_empty $tmpdir/stderr
}

@test "is_built returns 1 for future packages" {
	# If emacs ever goes rapid release, we might need to change this :P
	is_built emacs 100 >$tmpdir/stdout 2>$tmpdir/stderr || status=$?

	[[ $status == 1 ]]
	assert_file_empty $tmpdir/stdout
	assert_file_empty $tmpdir/stderr
}

@test "is_built returns 0 for past packages" {
	# If emacs ever goes rapid release, we might need to change this :P
	is_built emacs 1 >$tmpdir/stdout 2>$tmpdir/stderr

	assert_file_empty $tmpdir/stdout
	assert_file_empty $tmpdir/stderr
}
