load ../lib/common

# bats test_tags=locale-es
@test "librelib follows cli conventions and fails with not-1 args" {
	assert_follows_cli_conventions librelib
	assert_fails_with_errusage librelib
	assert_fails_with_errusage librelib a b
}

# Nothing in $(libdir) should be executable anymore (except that
# $(libexecdir)=$(libdir), and executable things go in there. But I
# digress, libremessages should not be executable anymore).
@test "librelib finds messages" {
	v1=$(librelib messages)
	v2=$(librelib libremessages)
	v3=$(librelib messages.sh)
	v4=$(librelib libremessages.sh)

	[[ -r $v1 && ! -x $v1 ]]
	[[ $v1 == "$v2" ]]
	[[ $v1 == "$v3" ]]
	[[ $v1 == "$v4" ]]
}

# conf.sh is non-executable
@test "librelib finds conf" {
	v1=$(librelib conf)
	v2=$(librelib libreconf)
	v3=$(librelib conf.sh)
	v4=$(librelib libreconf.sh)

	[[ -r $v1 && ! -x $v1 ]]
	[[ $v1 == "$v2" ]]
	[[ $v1 == "$v3" ]]
	[[ $v1 == "$v4" ]]
}

@test "librelib fails to find phony" {
	librelib phony >$tmpdir/stdout 2>$tmpdir/stderr || status=$?

	assert_file_empty $tmpdir/stdout
	assert_file_not_empty $tmpdir/stderr
	[[ $status != 0 ]]
}
